Information about web browsers

The FSMA supports the usage of the online applications through the following web browsers:

  • Microsoft Internet Explorer
  • Microsoft Edge
  • Google Chrome
  • FireFox

For Apple MacOS:

  • FireFox

The FSMA regularly tests their applications with the last versions of these browsers.

Depending on the application, your web browser needs to be configured to use a digital certificate.

When you want to use your Belgian eID, make sure the software for eID is up to date.

This can be downloaded from: https://eid.belgium.be/en (updated regularly)

When the software is installed, you can test the installation via: http://test.eid.belgium.be/

The online applications possibly work correctly with other web browsers, under the condition that they allow authentication with a digital certificate.

However, the FSMA does not offer support to users experiencing applicative difficulties with non-supported browsers.

The FSMA advises to regularly update your web browser.

The FSMA also advises to do the necessary modifications well in advance of a possible deadline, since some problems are not quickly solved (e.g. requesting a new PIN code in the local authority in the case your eID is blocked takes several weeks)